Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gradle.util.exec
Enum ExecHandleState

    java.lang.Object
      java.lang.Enum<ExecHandleState>
          org.gradle.util.exec.ExecHandleState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ExecHandleState>

    public enum ExecHandleState

extends java.lang.Enum<ExecHandleState>

Enum Constant Summary
`ABORTED`
`FAILED`
`INIT`
`STARTED`
`STARTING`
`SUCCEEDED`

Method Summary
`static ExecHandleState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ExecHandleState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INIT

    public static final ExecHandleState INIT

### STARTING

    public static final ExecHandleState STARTING

### STARTED

    public static final ExecHandleState STARTED

### ABORTED

    public static final ExecHandleState ABORTED

### FAILED

    public static final ExecHandleState FAILED

### SUCCEEDED

    public static final ExecHandleState SUCCEEDED

Method Detail

### values

    public static final ExecHandleState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ExecHandleState c : ExecHandleState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ExecHandleState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD